
<!-- README.md is generated from README.Rmd. Please edit that file -->

# corrViz

<!-- badges: start -->

<img src="https://raw.githubusercontent.com/AlanInglis/corrViz/main/badge/corrvizlogo.png" width="240" height="276" align="right" />
<!-- badges: end -->

`corrViz` is an R package designed to help users visualize correlations
between variables in their datasets. With the ever-growing size and
complexity of datasets, it is crucial to have a clear understanding of
the relationships between variables. This package aims to provide an
easy and effective way to explore and visualize these correlations,
making it easier to interpret and communicate results. A demonstration
of the package can be found here:
<https://alaninglis.github.io/corrViz/articles/corrViz.html>

Download the development version from
[GitHub](https://github.com/AlanInglis/corrViz) with:

``` r
# install.packages("devtools")
devtools::install_github("AlanInglis/corrViz")
```

You can then load the package with:

``` r
library(corrViz)
```

### Visualization Methods

The `corrViz` package offers several visualization methods to help you
explore and communicate correlations effectively, with an emphasis on
interactivity. Some of the available methods include:

- Heatmaps
- Networks
- Shiny applications
- Scatterplot matrices
- Bar plots
- Chord diagrams
- and more!!
